Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

MariaDB Client Version Handling Remote Buffer Overflow Vulnerability (Windows)

Information

Severity

Severity

High

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

7.5

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

8 years ago

Modified

Modified

4 years ago

Summary

This host is installed with MariaDB Client and is prone to remote buffer overflow vulnerability.

Insight

Insight

Flaw is due to an user-supplied input is not properly validated when handling server versions in client/mysql.cc.

Affected Software

Affected Software

MariaDB version 5.5.34 and earlier.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Upgrade to MariaDB version 5.5.35 or later.

Common Vulnerabilities and Exposures (CVE)